Skip to main content
POST
/
v1
/
posts
/
linkedin
Create LinkedIn Post
curl --request POST \
  --url https://api.stover.app/v1/posts/linkedin \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "media_urls": [
    "<string>"
  ],
  "hashtags": [
    "<string>"
  ],
  "status": "draft",
  "scheduled_date": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.stover.app/v1/posts/linkedin"

payload = {
"content": "<string>",
"media_urls": ["<string>"],
"hashtags": ["<string>"],
"status": "draft",
"scheduled_date": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
media_urls: ['<string>'],
hashtags: ['<string>'],
status: 'draft',
scheduled_date: '2023-11-07T05:31:56Z'
})
};

fetch('https://api.stover.app/v1/posts/linkedin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Request Fields

FieldRequiredDescription
contentYesPost content (max 3,000 chars)
media_urlsNoURLs of images/videos
hashtagsNoHashtags without # prefix
statusNodraft or scheduled
scheduled_dateNoISO 8601 date

Example

curl -X POST https://api.stover.app/v1/posts/linkedin \
  -H "Authorization: Bearer stover_pk_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "content": "Excited to announce our latest partnership!",
    "hashtags": ["partnership", "business"],
    "status": "draft"
  }'
const response = await fetch('https://api.stover.app/v1/posts/linkedin', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer stover_pk_your_api_key',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    content: 'Excited to announce our latest partnership!',
    hashtags: ['partnership', 'business'],
    status: 'draft'
  })
});
import requests

response = requests.post(
    'https://api.stover.app/v1/posts/linkedin',
    headers={
        'Authorization': 'Bearer stover_pk_your_api_key',
        'Content-Type': 'application/json'
    },
    json={
        'content': 'Excited to announce our latest partnership!',
        'hashtags': ['partnership', 'business'],
        'status': 'draft'
    }
)

Authorizations

Authorization
string
header
required

API key: Bearer stover_pk_...

Body

application/json
content
string
required

Post content (max 3,000 chars)

media_urls
string[]
hashtags
string[]
status
enum<string>
default:draft
Available options:
draft,
scheduled
scheduled_date
string<date-time>

Response

Post created

success
boolean
data
object